Package org.snpeff.reactome.events

# Class Complex

java.lang.Object
org.snpeff.reactome.Entity
org.snpeff.reactome.events.Event
org.snpeff.reactome.events.Reaction
org.snpeff.reactome.events.Complex

All Implemented Interfaces:
  `Comparable<Entity>`, `Iterable<Entity>`

public class Complex extends Reaction implements Iterable<Entity>
A Reactome complex (a bunch of molecules or complexes

Author:
  pcingola

## Nested Class Summary

## Nested classes/interfaces inherited from class org.snpeff.reactome.events.Reaction

`Reaction.RegulationType`

## Nested classes/interfaces inherited from class org.snpeff.reactome.Entity

`Entity.TransferFunction`

## Field Summary

### Fields inherited from class org.snpeff.reactome.events.Reaction

`catalyst, inputs, MAX_WEIGHT_SUM, outputs, regulator`

### Fields inherited from class org.snpeff.reactome.Entity

`BETA, compartment, debug, fixedOutput, geneIds, id, name, output, TRANSFER_FUNCTION, weight`

## Constructor Summary

Constructors
Constructor
Description
`Complex(int id, String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Entity e)`
`boolean`
`contains(Object o)`
`boolean`
`isEmpty()`
`Iterator<Entity>`
`iterator()`
`int`
`size()`
`String`
`toString(int tabs, HashSet<Entity> done)`

### Methods inherited from class org.snpeff.reactome.events.Reaction

`addCatalyst, addInput, addOutput, addRegulator, addRegulator, calc, getCatalyst, getInputs, getOutputs, getRegulator, isReaction, scaleWeights, toString, transferFunction`

### Methods inherited from class org.snpeff.reactome.Entity

`addGeneId, calc, compareTo, getCompartment, getGeneIds, getId, getName, getOutput, getWeight, hasOutput, isFixed, reset, setCompartment, setFixedOutput, setWeight, toStringSimple, transferFunction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### Complex

public Complex(int id, String name)

## Method Details

### add

public void add(Entity e)

### contains

public boolean contains(Object o)

### isEmpty

public boolean isEmpty()

### iterator

public Iterator<Entity> iterator()

Specified by:
  `iterator` in interface `Iterable<Entity>`

### size

public int size()

### toString

public String toString(int tabs, HashSet<Entity> done)

Overrides:
  `toString` in class `Reaction`